﻿@model ListKong.Models.LocationModel

@{
    ViewData["Title"] = "AddLocation";
}

<div class="container-fluid" style="min-height: 500.8px;margin:0 !important;">
    <section class="">

        <ol class="breadcrumb">
            <li><a asp-controller="Company" asp-action="Index"><i class="fa fa-dashboard"></i><span class="icon-after-span">Manage Company Location</span></a></li>
            <li class="active">Add Location</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">

            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="box-title">Add Company</h4>
                </div>

                <form asp-action="AddLocation" enctype="multipart/form-data" method="post">
                    <div class="panel-body table-responsive">
                        <div class="col-md-12">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                            @if (!string.IsNullOrEmpty(Convert.ToString(ViewData["ErrorMessage"])))
                            {
                                <div class="alert alert-danger">  @ViewData["ErrorMessage"]</div>
                                <script>
                                    $(function () {
                                        setTimeout(function () { hideTarget(); }, 5000);
                                    });
                                    function hideTarget() {
                                        $(".alert").hide();
                                    }
                                </script>
                            }
                            @if (!string.IsNullOrEmpty(Convert.ToString(ViewData["SuccessMessage"])))
                            {
                                <div class="alert alert-success">  @ViewData["SuccessMessage"]</div>
                                <script>
                                    $(function () {
                                        setTimeout(function () { hideTarget(); }, 5000);
                                    });
                                    function hideTarget() {
                                        $(".alert").hide();
                                    }
                                </script>
                            }
                            <input type="hidden" asp-for="CompanyId" class="form-control" />
                            <div class="col-md-6">
                                <label class="control-label">Company Name</label>
                                <input asp-for="CompanyName" class="form-control" style="pointer-events:none;" />

                            </div>
                            <div class="col-md-6">
                                <label asp-for="LocationName" class="control-label"></label>
                                <input asp-for="LocationName" class="form-control" />
                                <span asp-validation-for="LocationName" class="text-danger"></span>
                            </div>

                            <div class="col-md-6">
                                <label asp-for="Country" class="control-label"></label>
                                <input asp-for="Country" class="form-control" />
                                <span asp-validation-for="Country" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="State" class="control-label"></label>
                                <input asp-for="State" class="form-control" />
                                <span asp-validation-for="State" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="City" class="control-label"></label>
                                <input asp-for="City" class="form-control" />
                                <span asp-validation-for="City" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="ZipCode" class="control-label"></label>
                                <input asp-for="ZipCode" class="form-control" />
                                <span asp-validation-for="ZipCode" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="LocationAddress1" class="control-label"></label>
                                <input asp-for="LocationAddress1" class="form-control" />
                                <span asp-validation-for="LocationAddress1" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="LocationAddress2" class="control-label"></label>
                                <input asp-for="LocationAddress2" class="form-control" />
                                <span asp-validation-for="LocationAddress2" class="text-danger"></span>
                            </div>
                            <div class="col-md-12">
                                <label asp-for="LocationDescription" class="control-label"></label>
                                <textarea asp-for="LocationDescription" class="form-control"></textarea>
                                <span asp-validation-for="LocationDescription" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-12">
                                <input type="submit" value="Create" class="btn btn-default" />
                            </div>
                        </div>
                    </div>
                </form>
                <div class="footer-listing">
                    <a asp-action="Index">Back to List</a>
                </div>

            </div>
        </div>
    </section>
</div>


